function genericPop(url, width, height, scrollbars, resizable) {	
	var Params;	
	var Title;
	Title = "PopCap Games"
	Params = "width=" + width + ", height=" + height + ",title=1,toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=" + scrollbars + ",resizable=" + resizable + ",copyhistory=0,left=0,top=0";	
	window.open (url, 'genericPop', Params);
}

function printPop(url, width, height, scrollbars, resizable, windowname, title) {
	//menu and tool bars enabled to allow printing
	var Params;	
	var Title;
	Title = "PopCap Games - " + title;
	Params = "width=" + width + ", height=" + height + ",title=0,toolbar=1,location=0,directories=0,status=0,menubar=1,scrollbars=" + scrollbars + ",resizable=" + resizable + ",copyhistory=0,left=0,top=0";	
	window.open (url, 'printPop' + windowname, Params);
}


// popup utilities

function removeString(string, subject) {
	var regex = new RegExp(string, 'g');
	return subject.replace(regex, '');
}

//bundle upsell flyout
function showTip() {
	tip = document.getElementById('upsell_hover');
	tip.style.display = "block";
}
function hideTip() {
	tip = document.getElementById('upsell_hover');
	tip.style.display = "none";
}

/*
     FILE ARCHIVED ON 00:23:52 Jul 24, 2009 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 17:54:26 Sep 08, 2018.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  LoadShardBlock: 150.128 (3)
  esindex: 0.009
  captures_list: 168.821
  CDXLines.iter: 11.826 (3)
  PetaboxLoader3.datanode: 136.462 (4)
  exclusion.robots: 0.19
  exclusion.robots.policy: 0.177
  RedisCDXSource: 1.796
  PetaboxLoader3.resolve: 99.055 (2)
  load_resource: 89.691
*/